Index: BOOK/stylesheets/top-index.xsl
===================================================================
--- BOOK/stylesheets/top-index.xsl	(revision 958244bfb04425f67edfe76a09c41918127be1f5)
+++ BOOK/stylesheets/top-index.xsl	(revision e629d35bb9dc1f027ce7c24b694cf617695022c2)
@@ -230,7 +230,12 @@
     <div class="authorgroup">
       <h3 class="author">
-        <xsl:value-of select="author/firstname"/>
+        <xsl:value-of select="author[1]/firstname"/>
         <xsl:text> </xsl:text>
-        <xsl:value-of select="author/surname"/>
+        <xsl:value-of select="author[1]/surname"/>
+      </h3>
+      <h3 class="author">
+        <xsl:value-of select="author[2]/firstname"/>
+        <xsl:text> </xsl:text>
+        <xsl:value-of select="author[2]/surname"/>
       </h3>
     </div>
@@ -254,4 +259,14 @@
   </xsl:template>
 
+  <xsl:template match="bibliosource">
+    <div>
+      <p class="copyright">
+        <em>
+          <xsl:apply-templates/>
+        </em>
+      </p>
+    </div>
+  </xsl:template>
+
   <xsl:template match="subtitle|author|firstname|surname|legalnotice"/>
 
Index: BOOK/stylesheets/xhtml/lfs-mixed.xsl
===================================================================
--- BOOK/stylesheets/xhtml/lfs-mixed.xsl	(revision 958244bfb04425f67edfe76a09c41918127be1f5)
+++ BOOK/stylesheets/xhtml/lfs-mixed.xsl	(revision e629d35bb9dc1f027ce7c24b694cf617695022c2)
@@ -183,3 +183,62 @@
   </xsl:template>
 
+  <!-- Adding bibliosource to titlepage -->
+  <xsl:template name="book.titlepage.recto">
+    <xsl:choose>
+      <xsl:when test="bookinfo/title">
+        <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/title"/>
+      </xsl:when>
+      <xsl:when test="info/title">
+        <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/title"/>
+      </xsl:when>
+      <xsl:when test="title">
+        <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="title"/>
+      </xsl:when>
+    </xsl:choose>
+
+    <xsl:choose>
+      <xsl:when test="bookinfo/subtitle">
+        <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/subtitle"/>
+      </xsl:when>
+      <xsl:when test="info/subtitle">
+        <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/subtitle"/>
+      </xsl:when>
+      <xsl:when test="subtitle">
+        <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="subtitle"/>
+      </xsl:when>
+    </xsl:choose>
+
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/corpauthor"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/corpauthor"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/authorgroup"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/authorgroup"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/author"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/author"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/othercredit"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/othercredit"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/releaseinfo"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/releaseinfo"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/copyright"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/copyright"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/bibliosource"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/legalnotice"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/legalnotice"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/pubdate"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/pubdate"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/revision"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/revision"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/revhistory"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/revhistory"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/abstract"/>
+    <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/abstract"/>
+  </xsl:template>
+
+  <xsl:template match="bibliosource" mode="book.titlepage.recto.auto.mode">
+    <div>
+      <p class="copyright">
+        <xsl:apply-templates/>
+      </p>
+    </div>
+  </xsl:template>
+
 </xsl:stylesheet>
